[Résolu : mauvaise idée]un tuto pour créer un forum à l'ancienne avec cmsmadesimple

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
#1
Bonsoir à tous,
Prof de physique-chimie, j'utilise cmsmadesimple depuis 6 ans.
Avec le confinement (et l'interdiction d'utiliser des outils qui fonctionnent), j'ai besoin d'un espace d'échange avec mes élèves. Je souhaite donc mettre en place un forum en complément de mon site.
Pourriez-vous me dire comment cela serait possible ? Y a-t-il un module dédié, dois-je créer un dossier dans lequel j'installe un nouveau site ?
Mon site (bernon.fr) est hebergé chez OVH et je n'ai qu'une seule base de donnée.
Merci à vous
Répondre
#1
Bonsoir à tous,
Prof de physique-chimie, j'utilise cmsmadesimple depuis 6 ans.
Avec le confinement (et l'interdiction d'utiliser des outils qui fonctionnent), j'ai besoin d'un espace d'échange avec mes élèves. Je souhaite donc mettre en place un forum en complément de mon site.
Pourriez-vous me dire comment cela serait possible ? Y a-t-il un module dédié, dois-je créer un dossier dans lequel j'installe un nouveau site ?
Mon site (bernon.fr) est hebergé chez OVH et je n'ai qu'une seule base de donnée.
Merci à vous
Répondre
#2
Bonsoir,

vous pouvez regarder le module JMForum mais il n'est plus maintenu depuis un moment.
Sinon peut être CGFeedback avec un peu de configuration particulière ? Si par exemple vous publiez des pages ou articles, et que vos élèves doivent pouvoir commenter, cela peut être une solution.

Vous pouvez aussi regarder du côté de CGBetterForms (gestion de formulaires) + CGBFCrud (affichage de ce qui a été saisi dans un formulaire)

D'autres contributeurs auront peut-être d'autres solutions Wink

Bonne continuation et bon courage pour ces semaines compliquées,
Répondre
#2
Bonsoir,

vous pouvez regarder le module JMForum mais il n'est plus maintenu depuis un moment.
Sinon peut être CGFeedback avec un peu de configuration particulière ? Si par exemple vous publiez des pages ou articles, et que vos élèves doivent pouvoir commenter, cela peut être une solution.

Vous pouvez aussi regarder du côté de CGBetterForms (gestion de formulaires) + CGBFCrud (affichage de ce qui a été saisi dans un formulaire)

D'autres contributeurs auront peut-être d'autres solutions Wink

Bonne continuation et bon courage pour ces semaines compliquées,
Répondre
#3
Merci beaucoup pour votre réponse, j'ai voulu tester directement.
Je n'ai pas eu de problème à installer JM_Forum, mais ce module nécessitait le module frontenduser : après insallation, je n'arrive plus à accéder au module manager, j'ai une page blanche avec :
Citation :Avertissement
Les versions affichées ici représentent les derniers fichiers au format XML disponibles sur la Forge CMSMS™. Ils peuvent être ou non la dernière version disponible.

Utilisation à vos risques et périls
Les modules affichés ici sont fournis par les développeurs de CMS, et des tiers indépendants. Nous ne pouvons garantir que les modules offerts ici soient fonctionnels, testés ou compatibles avec votre système. Vous êtes encouragés à lire les informations qui se trouvent dans l'aide et sur les liens pour chaque module avant l'installation.

Installé
Configuration
En supprimant le dossier frontEndUsers, je récupère le gestionnaire de module, mais je n'arrive pas à installer ce module qui est nécessaire pour JMForum.

C'est peut être lié à un autre problème du gestionnaire de module, dès que j'y accède, j'ai un warning
Citation :Un problème est survenu lors de la communication du module vers le serveur
et mon interface pense toujours être en version 2.2.12 (alors que j'ai fait la màj vers 2.2.14), des modules sont indiqués comme en attente de mise à jour, mais lorsque je clique sur 'Mettre à jour" j'ai une erreur
Citation :Le noyau CMSMS™ doit être mis à jour avant que cette opération ne réussisse

Un problème est survenu lors de la communication du module vers le serveur
Désolé de partir un peu dans tous les sens !
Répondre
#3
Merci beaucoup pour votre réponse, j'ai voulu tester directement.
Je n'ai pas eu de problème à installer JM_Forum, mais ce module nécessitait le module frontenduser : après insallation, je n'arrive plus à accéder au module manager, j'ai une page blanche avec :
Citation :Avertissement
Les versions affichées ici représentent les derniers fichiers au format XML disponibles sur la Forge CMSMS™. Ils peuvent être ou non la dernière version disponible.

Utilisation à vos risques et périls
Les modules affichés ici sont fournis par les développeurs de CMS, et des tiers indépendants. Nous ne pouvons garantir que les modules offerts ici soient fonctionnels, testés ou compatibles avec votre système. Vous êtes encouragés à lire les informations qui se trouvent dans l'aide et sur les liens pour chaque module avant l'installation.

Installé
Configuration
En supprimant le dossier frontEndUsers, je récupère le gestionnaire de module, mais je n'arrive pas à installer ce module qui est nécessaire pour JMForum.

C'est peut être lié à un autre problème du gestionnaire de module, dès que j'y accède, j'ai un warning
Citation :Un problème est survenu lors de la communication du module vers le serveur
et mon interface pense toujours être en version 2.2.12 (alors que j'ai fait la màj vers 2.2.14), des modules sont indiqués comme en attente de mise à jour, mais lorsque je clique sur 'Mettre à jour" j'ai une erreur
Citation :Le noyau CMSMS™ doit être mis à jour avant que cette opération ne réussisse

Un problème est survenu lors de la communication du module vers le serveur
Désolé de partir un peu dans tous les sens !
Répondre
#4
Alors il faut essayer d'installer la version 2.14.3.4 de Front End Users, la V3.2 ne doit pas être compatible avec JM forum. http://dev.cmsmadesimple.org/project/files/14
Par le gestionnaire de modules, on peut choisir la version qu'on veut installer en cliquant sur le nom du module.

Pour le reste, peut-être faut-il tenter une réinstallation de la 2.2.14… Comment s'est passée la mise à jour ? Aucun souci ?
Répondre
#4
Alors il faut essayer d'installer la version 2.14.3.4 de Front End Users, la V3.2 ne doit pas être compatible avec JM forum. http://dev.cmsmadesimple.org/project/files/14
Par le gestionnaire de modules, on peut choisir la version qu'on veut installer en cliquant sur le nom du module.

Pour le reste, peut-être faut-il tenter une réinstallation de la 2.2.14… Comment s'est passée la mise à jour ? Aucun souci ?
Répondre
#5
Personnellement je ne créerais pas un forum depuis le CMSMS pour des raisons de sécurité d'abord car un forum est souvent attaqué par les spammeurs (hé oui ..). donc prendre un forum sur et bien sécurisé qui ne dépends pas du CMS et surtout surveiller bien les accès d'inscription Wink
J-C Etiemble Tutoriels v 2.2.x
Répondre
#5
Personnellement je ne créerais pas un forum depuis le CMSMS pour des raisons de sécurité d'abord car un forum est souvent attaqué par les spammeurs (hé oui ..). donc prendre un forum sur et bien sécurisé qui ne dépends pas du CMS et surtout surveiller bien les accès d'inscription Wink
J-C Etiemble Tutoriels v 2.2.x
Répondre
#6
Merci encore pour vos réponses
(01/04/2020, 23:53:33)Ouik a écrit : Par le gestionnaire de modules, on peut choisir la version qu'on veut installer en cliquant sur le nom du module.
Je n'ai pas accès à ça, je pense avoir un problème sur mon site, mais je sais pas d'où ça vient, je ne peux installer les module que via 'import xml'
jce76350 a écrit :Personnellement je ne créerais pas un forum depuis le CMSMS pour des raisons de sécurité d'abord car un forum est souvent attaqué par les spammeurs (hé oui ..). donc prendre un forum sur et bien sécurisé qui ne dépends pas du CMS et surtout surveiller bien les accès d'inscription
L'idée est que JE crée des comptes, et d'envoyer les identifiants aux élèves. Pas d'inscription classique possible (exit le spam). Pas de visibilité des sujets aux personnes non inscrites.
Répondre
#6
Merci encore pour vos réponses
(01/04/2020, 23:53:33)Ouik a écrit : Par le gestionnaire de modules, on peut choisir la version qu'on veut installer en cliquant sur le nom du module.
Je n'ai pas accès à ça, je pense avoir un problème sur mon site, mais je sais pas d'où ça vient, je ne peux installer les module que via 'import xml'
jce76350 a écrit :Personnellement je ne créerais pas un forum depuis le CMSMS pour des raisons de sécurité d'abord car un forum est souvent attaqué par les spammeurs (hé oui ..). donc prendre un forum sur et bien sécurisé qui ne dépends pas du CMS et surtout surveiller bien les accès d'inscription
L'idée est que JE crée des comptes, et d'envoyer les identifiants aux élèves. Pas d'inscription classique possible (exit le spam). Pas de visibilité des sujets aux personnes non inscrites.
Répondre
#7
Citation :L'idée est que JE crée des comptes, et d'envoyer les identifiants aux élèves. Pas d'inscription classique possible (exit le spam). Pas de visibilité des sujets aux personnes non inscrites.
Oui ce n'est pas cela le problème, mais il faut impérativement un vrai forum bien sécurisé et pas un un forum surtout basé sur le CMS qui peu être un "trou" de sécurité. Déjà les forums "experts" ont bien du mal à faire face à la pollution Wink
J-C Etiemble Tutoriels v 2.2.x
Répondre
#7
Citation :L'idée est que JE crée des comptes, et d'envoyer les identifiants aux élèves. Pas d'inscription classique possible (exit le spam). Pas de visibilité des sujets aux personnes non inscrites.
Oui ce n'est pas cela le problème, mais il faut impérativement un vrai forum bien sécurisé et pas un un forum surtout basé sur le CMS qui peu être un "trou" de sécurité. Déjà les forums "experts" ont bien du mal à faire face à la pollution Wink
J-C Etiemble Tutoriels v 2.2.x
Répondre
#8
OK, merci.
Répondre
#8
OK, merci.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)